[arch-commits] Commit in pyqt5/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Antonio Rojas arojas at archlinux.org
Tue Mar 19 20:42:50 UTC 2019


    Date: Tuesday, March 19, 2019 @ 20:42:48
  Author: arojas
Revision: 348731

archrelease: copy trunk to extra-x86_64

Added:
  pyqt5/repos/extra-x86_64/PKGBUILD
    (from rev 348730, pyqt5/trunk/PKGBUILD)
Deleted:
  pyqt5/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  242 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 121 insertions(+), 121 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-19 20:42:23 UTC (rev 348730)
+++ PKGBUILD	2019-03-19 20:42:48 UTC (rev 348731)
@@ -1,121 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: Yichao Yu <yyc1992 at gmail.com>
-# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
-# Contributor: riai <riai at bigfoot.com> Ben <ben at benmazer.net>
-
-pkgbase=pyqt5
-pkgname=('pyqt5-common' 'python-pyqt5' 'python2-pyqt5')
-pkgver=5.12
-pkgrel=2
-arch=('x86_64')
-url="http://riverbankcomputing.co.uk/software/pyqt/intro"
-license=('GPL')
-makedepends=('python-sip-pyqt5' 'python2-sip-pyqt5' 'sip' 'python-opengl' 'python2-opengl' 'python2-enum34'
-             'python2-dbus' 'python-dbus' 'qt5-connectivity' 'qt5-multimedia' 'qt5-tools' 'qt5-serialport' 'qt5-svg'
-             'qt5-webkit' 'qt5-websockets' 'qt5-x11extras' 'qt5-networkauth' 'qt5-xmlpatterns' 'qt5-remoteobjects')
-source=("https://www.riverbankcomputing.com/static/Downloads/PyQt5/PyQt5_gpl-$pkgver.tar.gz")
-sha256sums=('d9e70065b5980afde5f2b9bc900910050331604e02c70666c45fcfc66b0d4f34')
-
-prepare() {
-  cp -a PyQt5_gpl-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/PyQt5_gpl-$pkgver
-  python configure.py \
-    --confirm-license \
-    --no-sip-files \
-    --qsci-api
-  make
-
-  cd "$srcdir"/PyQt5_gpl-$pkgver-py2
-  python2 configure.py \
-    --confirm-license \
-    --no-sip-files \
-    --qsci-api
-  make
-}
-
-package_pyqt5-common(){
-  pkgdesc="Common PyQt files shared between python-pyqt5 and python2-pyqt5"
-  depends=('qt5-base')
-
-  cd PyQt5_gpl-$pkgver
-  install -Dm644 PyQt5.api "$pkgdir"/usr/share/qt/qsci/api/python/PyQt5.api
-
-  install -d "$pkgdir"/usr/share/sip/PyQt5
-  cp -a sip/* "$pkgdir"/usr/share/sip/PyQt5
-}
-
-package_python-pyqt5(){
-  pkgdesc="A set of Python 3.x bindings for the Qt5 toolkit"
-  depends=('python-sip-pyqt5' 'pyqt5-common')
-  optdepends=('python-opengl: enable OpenGL 3D graphics in PyQt applications'
-              'python-dbus: for python-dbus mainloop support'
-              'qt5-multimedia: QtMultimedia, QtMultimediaWidgets'
-              'qt5-tools: QtHelp, QtDesigner'
-              'qt5-svg: QtSvg'
-              'qt5-webkit: QtWebKit, QtWebKitWidgets'
-              'qt5-xmlpatterns: QtXmlPatterns'
-              'qt5-declarative: QtQml, qmlplugin'
-              'qt5-serialport: QtSerialPort'
-              'qt5-websockets: QtWebSockets'
-              'qt5-connectivity: QtNfc, QtBluetooth'
-              'qt5-x11extras: QtX11Extras'
-              'qt5-networkauth: QtNetworkAuth'
-              'qt5-remoteobjects: QtRemoteObjects')
-
-  cd PyQt5_gpl-$pkgver
-  # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use DESTDIR
-  make DESTDIR="$pkgdir" INSTALL_ROOT="$pkgdir" install -j1
-
-  # Remove unused py2 version of uic modules:
-  rm -r "$pkgdir"/usr/lib/python*/site-packages/PyQt5/uic/port_v2
-
-  # compile Python bytecode
-  python -m compileall -d / "$pkgdir"/usr/lib
-  python -O -m compileall -d / "$pkgdir"/usr/lib
-
-  # Provided by pyqt-common
-  rm "$pkgdir"/usr/share/qt/qsci/api/python/PyQt5.api
-}
-
-package_python2-pyqt5(){
-  pkgdesc="A set of Python 2.x bindings for the Qt5 toolkit"
-  depends=('python2-sip-pyqt5' 'pyqt5-common' 'python2-enum34')
-  optdepends=('python2-opengl: enable OpenGL 3D graphics in PyQt applications'
-              'python-dbus: for python-dbus mainloop support'
-              'qt5-multimedia: QtMultimedia, QtMultimediaWidgets'
-              'qt5-tools: QtHelp, QtDesigner'
-              'qt5-svg: QtSvg'
-              'qt5-webkit: QtWebKit, QtWebKitWidgets'
-              'qt5-xmlpatterns: QtXmlPatterns'
-              'qt5-declarative: QtQml, qmlplugin'
-              'qt5-serialport: QtSerialPort'
-              'qt5-websockets: QtWebSockets'
-              'qt5-connectivity: QtNfc, QtBluetooth'
-              'qt5-x11extras: QtX11Extras'
-              'qt5-networkauth: QtNetworkAuth'
-              'qt5-remoteobjects: QtRemoteObjects')
-
-  cd PyQt5_gpl-$pkgver-py2
-  # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use DESTDIR
-  make DESTDIR="$pkgdir" INSTALL_ROOT="$pkgdir" install -j1
-
-  # Remove unused py3 version of uic modules:
-  rm -r "$pkgdir"/usr/lib/python*/site-packages/PyQt5/uic/port_v3
-
-  # compile Python bytecode
-  python2 -m compileall -d / "$pkgdir"/usr/lib
-  python2 -O -m compileall -d / "$pkgdir"/usr/lib
-
-  # Fix conflicts with python-pyqt5
-  mv "$pkgdir"/usr/bin/{,python2-}pyuic5
-  mv "$pkgdir"/usr/bin/{,python2-}pylupdate5
-  mv "$pkgdir"/usr/bin/{,python2-}pyrcc5
-
-  rm "$pkgdir"/usr/lib/qt/plugins/designer/libpyqt5.so
-  rm "$pkgdir"/usr/lib/qt/plugins/PyQt5/libpyqt5qmlplugin.so
-  rm "$pkgdir"/usr/share/qt/qsci/api/python/PyQt5.api
-}

Copied: pyqt5/repos/extra-x86_64/PKGBUILD (from rev 348730, pyqt5/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-19 20:42:48 UTC (rev 348731)
@@ -0,0 +1,121 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Yichao Yu <yyc1992 at gmail.com>
+# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
+# Contributor: riai <riai at bigfoot.com> Ben <ben at benmazer.net>
+
+pkgbase=pyqt5
+pkgname=('pyqt5-common' 'python-pyqt5' 'python2-pyqt5')
+pkgver=5.12.1
+pkgrel=1
+arch=('x86_64')
+url="http://riverbankcomputing.co.uk/software/pyqt/intro"
+license=('GPL')
+makedepends=('python-sip-pyqt5' 'python2-sip-pyqt5' 'sip' 'python-opengl' 'python2-opengl' 'python2-enum34'
+             'python2-dbus' 'python-dbus' 'qt5-connectivity' 'qt5-multimedia' 'qt5-tools' 'qt5-serialport' 'qt5-svg'
+             'qt5-webkit' 'qt5-websockets' 'qt5-x11extras' 'qt5-networkauth' 'qt5-xmlpatterns' 'qt5-remoteobjects')
+source=("https://www.riverbankcomputing.com/static/Downloads/PyQt5/PyQt5_gpl-$pkgver.tar.gz")
+sha256sums=('3718ce847d824090fd5f95ff3f13847ee75c2507368d4cbaeb48338f506e59bf')
+
+prepare() {
+  cp -a PyQt5_gpl-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/PyQt5_gpl-$pkgver
+  python configure.py \
+    --confirm-license \
+    --no-sip-files \
+    --qsci-api
+  make
+
+  cd "$srcdir"/PyQt5_gpl-$pkgver-py2
+  python2 configure.py \
+    --confirm-license \
+    --no-sip-files \
+    --qsci-api
+  make
+}
+
+package_pyqt5-common(){
+  pkgdesc="Common PyQt files shared between python-pyqt5 and python2-pyqt5"
+  depends=('qt5-base')
+
+  cd PyQt5_gpl-$pkgver
+  install -Dm644 PyQt5.api "$pkgdir"/usr/share/qt/qsci/api/python/PyQt5.api
+
+  install -d "$pkgdir"/usr/share/sip/PyQt5
+  cp -a sip/* "$pkgdir"/usr/share/sip/PyQt5
+}
+
+package_python-pyqt5(){
+  pkgdesc="A set of Python 3.x bindings for the Qt5 toolkit"
+  depends=('python-sip-pyqt5' 'pyqt5-common')
+  optdepends=('python-opengl: enable OpenGL 3D graphics in PyQt applications'
+              'python-dbus: for python-dbus mainloop support'
+              'qt5-multimedia: QtMultimedia, QtMultimediaWidgets'
+              'qt5-tools: QtHelp, QtDesigner'
+              'qt5-svg: QtSvg'
+              'qt5-webkit: QtWebKit, QtWebKitWidgets'
+              'qt5-xmlpatterns: QtXmlPatterns'
+              'qt5-declarative: QtQml, qmlplugin'
+              'qt5-serialport: QtSerialPort'
+              'qt5-websockets: QtWebSockets'
+              'qt5-connectivity: QtNfc, QtBluetooth'
+              'qt5-x11extras: QtX11Extras'
+              'qt5-networkauth: QtNetworkAuth'
+              'qt5-remoteobjects: QtRemoteObjects')
+
+  cd PyQt5_gpl-$pkgver
+  # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use DESTDIR
+  make DESTDIR="$pkgdir" INSTALL_ROOT="$pkgdir" install -j1
+
+  # Remove unused py2 version of uic modules:
+  rm -r "$pkgdir"/usr/lib/python*/site-packages/PyQt5/uic/port_v2
+
+  # compile Python bytecode
+  python -m compileall -d / "$pkgdir"/usr/lib
+  python -O -m compileall -d / "$pkgdir"/usr/lib
+
+  # Provided by pyqt-common
+  rm "$pkgdir"/usr/share/qt/qsci/api/python/PyQt5.api
+}
+
+package_python2-pyqt5(){
+  pkgdesc="A set of Python 2.x bindings for the Qt5 toolkit"
+  depends=('python2-sip-pyqt5' 'pyqt5-common' 'python2-enum34')
+  optdepends=('python2-opengl: enable OpenGL 3D graphics in PyQt applications'
+              'python-dbus: for python-dbus mainloop support'
+              'qt5-multimedia: QtMultimedia, QtMultimediaWidgets'
+              'qt5-tools: QtHelp, QtDesigner'
+              'qt5-svg: QtSvg'
+              'qt5-webkit: QtWebKit, QtWebKitWidgets'
+              'qt5-xmlpatterns: QtXmlPatterns'
+              'qt5-declarative: QtQml, qmlplugin'
+              'qt5-serialport: QtSerialPort'
+              'qt5-websockets: QtWebSockets'
+              'qt5-connectivity: QtNfc, QtBluetooth'
+              'qt5-x11extras: QtX11Extras'
+              'qt5-networkauth: QtNetworkAuth'
+              'qt5-remoteobjects: QtRemoteObjects')
+
+  cd PyQt5_gpl-$pkgver-py2
+  # INSTALL_ROOT is needed for the QtDesigner module, the other Makefiles use DESTDIR
+  make DESTDIR="$pkgdir" INSTALL_ROOT="$pkgdir" install -j1
+
+  # Remove unused py3 version of uic modules:
+  rm -r "$pkgdir"/usr/lib/python*/site-packages/PyQt5/uic/port_v3
+
+  # compile Python bytecode
+  python2 -m compileall -d / "$pkgdir"/usr/lib
+  python2 -O -m compileall -d / "$pkgdir"/usr/lib
+
+  # Fix conflicts with python-pyqt5
+  mv "$pkgdir"/usr/bin/{,python2-}pyuic5
+  mv "$pkgdir"/usr/bin/{,python2-}pylupdate5
+  mv "$pkgdir"/usr/bin/{,python2-}pyrcc5
+
+  rm "$pkgdir"/usr/lib/qt/plugins/designer/libpyqt5.so
+  rm "$pkgdir"/usr/lib/qt/plugins/PyQt5/libpyqt5qmlplugin.so
+  rm "$pkgdir"/usr/share/qt/qsci/api/python/PyQt5.api
+}


More information about the arch-commits mailing list